
    .include "Ultima2.cfg"

    .inesprg 16                ;16 PRG-ROM BANKS
    .ineschr 4                 ;4 CHR-ROM BANKS
    .inesmir 1                 ;VERTICAL MIRRORING
    .inesmap 1                 ;MAPPER 1

    .bank 0
    .org $8000

    RTS

    .bank 2
    .org $8000

    .include "Graphics\mapdata.asm"

    .bank 30
    .org $C000

START:
    .include "Reset\reset.asm"
    .include "Files\loadmap.asm"

MAINLOOP:
    JSR WAITFORNMI
    JSR MAPMOVE
    JMP MAINLOOP

MAPMOVE:
    INC <FRAMECOUNT
    JSR MOVESCREEN
    JSR DRAWSPRITES
    RTS

    .include "Files\movescr.asm"
    .include "Files\file6.asm"
    .include "Files\move.asm"
    .include "Loads\setmap.asm"
    .include "Loads\drawscr.asm"
    .include "Loads\setstart.asm"
    .include "Files\moveplyr.asm"
    .include "Files\screen.asm"
    .include "Files\multiply.asm"
    .include "Files\file2.asm"
    .include "Files\dojump1.asm"
    .include "Files\dojump2.asm"
    .include "Loads\loadpal.asm"
    .include "Files\setvramW.asm"

DRAWSPRITES:
    LDA <FRAMECOUNT
    AND #$10
    LSR A
    LSR A
    TAY
    LDA SPRITEDATA, Y
    STA $0201
    LDA SPRITEDATA + 1, Y
    STA $0205
    LDA SPRITEDATA + 2, Y
    STA $0209
    LDA SPRITEDATA + 3, Y
    STA $020D
    RTS

SPRITEDATA:
    .DB $00, $00, $00, $00
    .DB $01, $02, $03, $04

WAITFORNMI:
;    LDA <$2D
;    STA <NMIFLAG
    LDA #$00
    STA <TILEINDEX
    STA <WAITFLAG
    STA <$2D
    STA <$FD
WAITROUTINE:
    LDA <WAITFLAG
    BEQ WAITROUTINE            ;WAIT FOR END OF VBLANK
    RTS

    .include "Nmi\NMI.asm"

    .bank 31
    .org $FFFA                 ;HERES THE VECTOR TABLE

    .DW NMI
    .DW START
    .DW START

    .bank 32
    .org $0000

    .incbin "Graphics\World.bin"

